<?php

use Drp\NativeEventApp\Migrations\CreateNavigationsView as BaseCreateNavigationsView;
use Illuminate\Database\Query\Builder;
use Illuminate\Support\Facades\DB;

class CreateNavigationsView extends BaseCreateNavigationsView
{
    protected function select(): Builder
    {
        return DB::table($this->tableName())->select([
            'id',
            'primary_id as primaryId',
            'secondary_id as secondaryId',
            'menu_id as menuId',
            'event_id as eventId',
        ]);
    }
}
