<?php

namespace Drp\NativeEventApp\Test\Support\Fakes;

use Illuminate\Foundation\Http\FormRequest;

class FakeFormRequest extends FormRequest
{
    public function authorize()
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'name' => 'required',
            'question' => 'required',
        ];
    }

    public function messages(): array
    {
        return [
            'name.required' => 'The name field is required',
            'question.required' => 'The question field is required',
        ];
    }
}
