<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenusTable extends TableMigration
{
    public function tableName(): string
    {
        return 'menus';
    }

    public function up(): void
    {
        Schema::create($this->getTableNameWithPrefix(), static function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
